#include "Student.h"

Student::Student()
	: Person(0) // base class constructor is called here
	, ppm(0.0)
{
}

istream &Student::load(istream &input)
{
	Person::load(input) >> carnet >> ppm;
	input.ignore();
	return readline(input, majors);
}

ostream &Student::print(ostream &output) const
{
	return Person::print(output) << ' ' << carnet << ": " << ppm
			   << " [" << majors << "]" << endl;
}

#if 0

istream& operator>>(istream& in, Student& student)
{
	in >> (Person&)student >> student.carnet >> student.ppm;
	in.ignore();
	return readline(in, student.majors);
}

ostream& operator<<(ostream& out, const Student& student)
{
	return out << (const Person&)student << student.carnet << ": " << student.ppm
			   << " [" << student.majors << "]" << endl;
}

#endif // 0
